%global momorel 1
%global artsver 1.5.8
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: BitTorrent program for KDE
Name: ktorrent
Version: 2.2.5
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://ktorrent.org/
Group: Applications/Internet
Source0: http://ktorrent.org/downloads/%{version}/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: avahi-devel

%description
KTorrent is a BitTorrent program for KDE.
The 2.0 release adds several big new features to KTorrent :
  * Support for distributed hash tables (mainline version)
  * Protocol encryption
  * Bandwith scheduling
  * Directory scanner to automatically load torrents in certain directories
  * Trackers can now be added to torrents
  * File prioritization for multi file torrents
We allready supported the following features in the previous version :
  * Downloads torrent files
  * Upload and download speed capping
  * Internet searching using various search engines, you can even add your own
  * UDP Trackers
  * Port forwarding with UPnP
  * IP blocking plugin
  * Importing of partially or fully downloaded files

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath \
	--disable-dependency-tracking

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL README TODO
%{_bindir}/ktcachecheck
%{_bindir}/ktorrent
%{_bindir}/ktshell
%{_bindir}/kttorinfo
%{_bindir}/ktupnptest
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/ktorrent.desktop
%{_datadir}/apps/ktorrent
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop

%changelog
* Tue Jan 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.5-1m)
- update to 2.2.5
- License: GPLv2
- add %%post and %%postun

* Fri Nov 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.4-1m)
- update to 2.2.4

* Fri Nov 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.3-1m)
- update to 2.2.3

* Thu Aug 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.2-1m)
- update to 2.2.2

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Wed Jul  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2-1m)
- update to 2.2

* Thu Jun 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2-0.2.1m)
- update to 2.2rc1

* Wed Jun 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2-0.1.1m)
- update to 2.2beta1

* Thu Apr 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.4-1m)
- update to 2.1.4

* Tue Apr  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.3-1m)
- update to 2.1.3

* Sun Mar 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.2-1m)
- update to 2.1.2

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1-2m)
- rebuild against kdelibs etc.

* Thu Feb  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1-1m)
- update to 2.1 official release

* Sun Feb  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-0.2.2m)
- BuildPreReq: avahi-devel

* Thu Jan  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1-0.2.1m)
- update to 2.1rc1

* Sun Dec  3 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1-0.1.1m)
- update to 2.1beta1

* Wed Nov 15 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.3-2m)
- remove dupullicated desktop file

* Tue Nov 14 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.3-1m)
- initial build for Momonga Linux 3
